//
//  **************************************************************************
//
//  event.h
//
//  (C) 2003 Bosco K. Ho 
//
//  
//  **************************************************************************
//
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU Lesser General Public License as published
//  by the Free Software Foundation; either version 2.1 of the License, or (at
//  your option) any later version.
//  
//  This program is distributed in the hope that it will be useful,  but
//  WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//  Lesser General Public License for more details. 
//  
//  You should have received a copy of the GNU Lesser General Public License 
//  along with this program; if not, write to the Free Software Foundation, 
//  Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
//
//  **************************************************************************
//

#ifndef _event_h_
#define _event_h_

#include "wx/wx.h"
/////////////////////////////////////////////////////////////////////
// Menu-activated events
/////////////////////////////////////////////////////////////////////

enum
{
    EVENT_FILE_QUIT = wxID_EXIT,
    EVENT_FILE_OPEN = 100,
    EVENT_FILE_SAVE = 200,
    EVENT_ABOUT = wxID_ABOUT,

    EVENT_UNDO = 300,
    EVENT_CLEAR_SELECTION,
    EVENT_SELECT_ALL,
    EVENT_INSERT,
    EVENT_INSERT_ALA,
    EVENT_INSERT_FROM_PDB,
    EVENT_INSERT_RIGHT,
    EVENT_CUT,
    EVENT_COPY,
    EVENT_COPY_TO_PDB,
    EVENT_DELETE,

    EVENT_BACKBONE,
    EVENT_SIDECHAIN,
    EVENT_BUILD_HYDROGEN,
    EVENT_BLOCK_TERMINALS,
    EVENT_CHARGE_TERMINALS,
    EVENT_ALANINE_PEPTIDE,
    EVENT_ALPHABET_PROTEIN,
    
    EVENT_DISPLAY_EVERYTHING = 400,
    EVENT_DISPLAY_BACKBONE,
    EVENT_DISPLAY_CA_TRACE,
    EVENT_DISPLAY_CA_SIDECHAIN,
    
    EVENT_DISPLAY_HYDROGEN,
    EVENT_DISPLAY_PEPTIDE,
    EVENT_DISPLAY_HBOND,
    EVENT_DISPLAY_WEAK_HBOND,
    EVENT_DISPLAY_STERIC_CLASH,
    EVENT_DISPLAY_Z_DEPTH,

    EVENT_DISPLAY_LINE,
    EVENT_DISPLAY_SOLID,

    EVENT_MUTATE_POPUP = 2100,
    EVENT_MUTATE_ALA,  // A 
    EVENT_MUTATE_CYS,  // C 
    EVENT_MUTATE_ASP,  // D 
    EVENT_MUTATE_GLU,  // E 
    EVENT_MUTATE_PHE,  // F 
    EVENT_MUTATE_GLY,  // G 
    EVENT_MUTATE_HIS,  // H 
    EVENT_MUTATE_ILE,  // I 
    EVENT_MUTATE_LYS,  // K 
    EVENT_MUTATE_LEU,  // L 
    EVENT_MUTATE_MET,  // M 
    EVENT_MUTATE_ASN,  // N 
    EVENT_MUTATE_PRO,  // P 
    EVENT_MUTATE_GLN,  // Q 
    EVENT_MUTATE_ARG,  // R 
    EVENT_MUTATE_SER,  // S 
    EVENT_MUTATE_THR,  // T 
    EVENT_MUTATE_VAL,  // V 
    EVENT_MUTATE_TRP,  // W 
    EVENT_MUTATE_TYR,  // Y 

};

#endif
